Bug 1755 - smbd chrashes with sig 11 when printing from XP
smbd chrashes with sig 11 when printing from XP
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: Printing
3.0.4
All Linux
: P3 normal
: none
Assigned To: Gerald (Jerry) Carter
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-14 04:19 UTC by tarjei
Modified: 2005-08-24 10:16 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description tarjei 2004-09-14 04:19:21 UTC
Hi, I'm running samba 3.0.4 on a suse 8.2 server.

When a user prints using a driver I've uploaded to the server from Win XP, the
smbd process crashes and samba reports that the printers are not responding.

This works well from W2000 but not from XP with SP2.


This is what is reported to syslog:
Sep 14 12:21:18 mail2 smbd[2307]: [2004/09/14 12:21:18, 0]
lib/fault.c:fault_report(36)
Sep 14 12:21:18 mail2 smbd[2307]:  
===============================================================
Sep 14 12:21:18 mail2 smbd[2307]: [2004/09/14 12:21:18, 0]
lib/fault.c:fault_report(37)
Sep 14 12:21:18 mail2 smbd[2307]:   INTERNAL ERROR: Signal 11 in pid 2307 (..)
Sep 14 12:21:18 mail2 smbd[2307]:   Please read the appendix Bugs of the Samba
HOWTO collection
Sep 14 12:21:18 mail2 smbd[2307]: [2004/09/14 12:21:18, 0]
lib/fault.c:fault_report(39)
Sep 14 12:21:18 mail2 smbd[2307]:  
===============================================================
Sep 14 12:21:18 mail2 smbd[2307]: [2004/09/14 12:21:18, 0]
lib/util.c:smb_panic2(1398)
Sep 14 12:21:18 mail2 smbd[2307]:   PANIC: internal error
Sep 14 12:21:18 mail2 smbd[2307]: [2004/09/14 12:21:18, 0]
lib/util.c:smb_panic2(1406)
Sep 14 12:21:18 mail2 smbd[2307]:   BACKTRACE: 24 stack frames:
Sep 14 12:21:18 mail2 smbd[2307]:    #0 /usr/sbin/smbd(smb_panic2+0x1b6) [0x81d79e6]
Sep 14 12:21:18 mail2 smbd[2307]:    #1 /usr/sbin/smbd(smb_panic+0x19) [0x81d782e]
Sep 14 12:21:18 mail2 smbd[2307]:    #2 /usr/sbin/smbd [0x81c5d15]
Sep 14 12:21:18 mail2 smbd[2307]:    #3 /usr/sbin/smbd [0x81c5d8a]
Sep 14 12:21:18 mail2 smbd[2307]:    #4 /lib/libc.so.6 [0x402263a8]
Sep 14 12:21:18 mail2 smbd[2307]:    #5 /usr/sbin/smbd(_spoolss_rfnpcnex+0x201)
[0x8135db5]
Sep 14 12:21:18 mail2 smbd[2307]:    #6 /usr/sbin/smbd [0x812b344]
Sep 14 12:21:18 mail2 smbd[2307]:    #7 /usr/sbin/smbd(api_rpcTNP+0x232) [0x815be81]
Sep 14 12:21:18 mail2 smbd[2307]:    #8 /usr/sbin/smbd(api_pipe_request+0xe5)
[0x815bbc0]
Sep 14 12:21:18 mail2 smbd[2307]:    #9 /usr/sbin/smbd [0x8155649]
Sep 14 12:21:18 mail2 smbd[2307]:    #10 /usr/sbin/smbd [0x8155866]
Sep 14 12:21:18 mail2 smbd[2307]:    #11 /usr/sbin/smbd [0x8155b23]
Sep 14 12:21:18 mail2 smbd[2307]:    #12 /usr/sbin/smbd [0x8155d30]
Sep 14 12:21:18 mail2 smbd[2307]:    #13 /usr/sbin/smbd(write_to_pipe+0x109)
[0x8155c9f]
Sep 14 12:21:18 mail2 smbd[2307]:    #14 /usr/sbin/smbd [0x8093cf7]
Sep 14 12:21:18 mail2 smbd[2307]:    #15 /usr/sbin/smbd [0x8093f79]
Sep 14 12:21:18 mail2 smbd[2307]:    #16 /usr/sbin/smbd(reply_trans+0xbcc)
[0x8094bba]
Sep 14 12:21:18 mail2 smbd[2307]:    #17 /usr/sbin/smbd [0x80dc564]
Sep 14 12:21:18 mail2 smbd[2307]:    #18 /usr/sbin/smbd [0x80dc614]
Sep 14 12:21:18 mail2 smbd[2307]:    #19 /usr/sbin/smbd(process_smb+0x1fb)
[0x80dc969]
Sep 14 12:21:18 mail2 smbd[2307]:    #20 /usr/sbin/smbd(smbd_process+0x170)
[0x80dd4a9]
Sep 14 12:21:18 mail2 smbd[2307]:    #21 /usr/sbin/smbd(main+0x838) [0x8244a3a]
Sep 14 12:21:18 mail2 smbd[2307]:    #22 /lib/libc.so.6(__libc_start_main+0xc7)
[0x40212857]
Sep 14 12:21:18 mail2 smbd[2307]:    #23 /usr/sbin/smbd(ldap_msgfree+0x71)
[0x8080c61]
Sep 14 12:21:18 mail2 smbd[2307]:
Sep 14 12:21:21 mail2 smbd[2508]: [2004/09/14 12:21:21, 0]
lib/fault.c:fault_report(36)
Sep 14 12:21:21 mail2 smbd[2508]:  
===============================================================
Sep 14 12:21:21 mail2 smbd[2508]: [2004/09/14 12:21:21, 0]
lib/fault.c:fault_report(37)
Sep 14 12:21:21 mail2 smbd[2508]:   INTERNAL ERROR: Signal 11 in pid 2508 (..)
Sep 14 12:21:21 mail2 smbd[2508]:   Please read the appendix Bugs of the Samba
HOWTO collection
Sep 14 12:21:21 mail2 smbd[2508]: [2004/09/14 12:21:21, 0]
lib/fault.c:fault_report(39)
Sep 14 12:21:21 mail2 smbd[2508]:  
===============================================================
Sep 14 12:21:21 mail2 smbd[2508]: [2004/09/14 12:21:21, 0]
lib/util.c:smb_panic2(1398)
Sep 14 12:21:21 mail2 smbd[2508]:   PANIC: internal error
Sep 14 12:21:21 mail2 smbd[2508]: [2004/09/14 12:21:21, 0]
lib/util.c:smb_panic2(1406)
Sep 14 12:21:21 mail2 smbd[2508]:   BACKTRACE: 24 stack frames:
Sep 14 12:21:21 mail2 smbd[2508]:    #0 /usr/sbin/smbd(smb_panic2+0x1b6) [0x81d79e6]
Sep 14 12:21:21 mail2 smbd[2508]:    #1 /usr/sbin/smbd(smb_panic+0x19) [0x81d782e]
Sep 14 12:21:21 mail2 smbd[2508]:    #2 /usr/sbin/smbd [0x81c5d15]
Sep 14 12:21:21 mail2 smbd[2508]:    #3 /usr/sbin/smbd [0x81c5d8a]
Sep 14 12:21:21 mail2 smbd[2508]:    #4 /lib/libc.so.6 [0x402263a8]
Sep 14 12:21:21 mail2 smbd[2508]:    #5 /usr/sbin/smbd(_spoolss_rfnpcnex+0x201)
[0x8135db5]
Sep 14 12:21:21 mail2 smbd[2508]:    #6 /usr/sbin/smbd [0x812b344]
Sep 14 12:21:21 mail2 smbd[2508]:    #7 /usr/sbin/smbd(api_rpcTNP+0x232) [0x815be81]
Sep 14 12:21:21 mail2 smbd[2508]:    #8 /usr/sbin/smbd(api_pipe_request+0xe5)
[0x815bbc0]
Sep 14 12:21:21 mail2 smbd[2508]:    #9 /usr/sbin/smbd [0x8155649]
Sep 14 12:21:21 mail2 smbd[2508]:    #10 /usr/sbin/smbd [0x8155866]
Sep 14 12:21:21 mail2 smbd[2508]:    #11 /usr/sbin/smbd [0x8155b23]
Sep 14 12:21:21 mail2 smbd[2508]:    #12 /usr/sbin/smbd [0x8155d30]
Sep 14 12:21:21 mail2 smbd[2508]:    #13 /usr/sbin/smbd(write_to_pipe+0x109)
[0x8155c9f]
Sep 14 12:21:21 mail2 smbd[2508]:    #14 /usr/sbin/smbd [0x8093cf7]
Sep 14 12:21:21 mail2 smbd[2508]:    #15 /usr/sbin/smbd [0x8093f79]
Sep 14 12:21:21 mail2 smbd[2508]:    #16 /usr/sbin/smbd(reply_trans+0xbcc)
[0x8094bba]
Sep 14 12:21:21 mail2 smbd[2508]:    #17 /usr/sbin/smbd [0x80dc564]
Sep 14 12:21:21 mail2 smbd[2508]:    #18 /usr/sbin/smbd [0x80dc614]
Sep 14 12:21:21 mail2 smbd[2508]:    #19 /usr/sbin/smbd(process_smb+0x1fb)
[0x80dc969]
Sep 14 12:21:21 mail2 smbd[2508]:    #20 /usr/sbin/smbd(smbd_process+0x170)
[0x80dd4a9]
Sep 14 12:21:21 mail2 smbd[2508]:    #21 /usr/sbin/smbd(main+0x838) [0x8244a3a]
Sep 14 12:21:21 mail2 smbd[2508]:    #22 /lib/libc.so.6(__libc_start_main+0xc7)
[0x40212857]
Sep 14 12:21:21 mail2 smbd[2508]:    #23 /usr/sbin/smbd(ldap_msgfree+0x71)
[0x8080c61]
Comment 1 Volker Lendecke 2004-09-14 04:26:04 UTC
Fixed in 3.0.6 and 3.0.7
Comment 2 Gerald (Jerry) Carter 2005-08-24 10:16:34 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.